summaryrefslogtreecommitdiffstats
path: root/postgresql-tests/tasks/upgrade/locale/utf8-syntax/runtest.sh
diff options
context:
space:
mode:
authorPavel Raiskup <praiskup@redhat.com>2014-11-06 11:40:39 +0100
committerPavel Raiskup <praiskup@redhat.com>2014-11-06 11:50:27 +0100
commita963a4ab222307bfd692c38fe65bdde263c31c28 (patch)
treead32ab219e4ba29b08c99174ee7f134ea0864983 /postgresql-tests/tasks/upgrade/locale/utf8-syntax/runtest.sh
parent69c86e4a0fcb3f086d62a7fe6913f09df7cdc742 (diff)
downloadpostgresql-setup-tests-a963a4ab222307bfd692c38fe65bdde263c31c28.tar.gz
postgresql-setup-tests-a963a4ab222307bfd692c38fe65bdde263c31c28.tar.xz
postgresql-setup-tests-a963a4ab222307bfd692c38fe65bdde263c31c28.zip
postgresql-tasks: rename once more
* tasks/initdb: Move to tasks/initdb/basic. * tasks/initdb_old: Move to tasks/initdb/old-syntax. * tasks/upgrade-basic: Moved to tasks/upgrade/basic. * tasks/upgrade-locale-utf8-syntax: Moved to tasks/upgrade/locale/utf8-syntax.
Diffstat (limited to 'postgresql-tests/tasks/upgrade/locale/utf8-syntax/runtest.sh')
-rw-r--r--postgresql-tests/tasks/upgrade/locale/utf8-syntax/runtest.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/postgresql-tests/tasks/upgrade/locale/utf8-syntax/runtest.sh b/postgresql-tests/tasks/upgrade/locale/utf8-syntax/runtest.sh
new file mode 100644
index 0000000..7567e0f
--- /dev/null
+++ b/postgresql-tests/tasks/upgrade/locale/utf8-syntax/runtest.sh
@@ -0,0 +1,22 @@
+export DTF_TEST_ID="upgrade-locale-utf8-syntax"
+export DTF_TEST_DESCRIPTION="Check postgresql-setup --upgrade works even when \
+the system locale changed from xx_XX.utf8 to xx_XX.UTF-8"
+
+run()
+{
+ dtf_postgresql_test_init
+
+ dtf_postgresql_cb_upgrade_select()
+ {
+ if rlIsFedora 20 21 22; then
+ cat
+ else
+ cat >/dev/null
+ fi
+ }
+
+ dtf_postgresql_upgrade_tour "$(dtf_postgresql_data_mirror)" locale-utf-typo.tar.gz
+ rlAssert0 "test wrapper should finish successfully" $?
+
+ dtf_postgresql_test_finish
+}